> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Workspace

> PATCH /settings/workspace — update workspace settings (admin only).



## OpenAPI

````yaml /openapi.json patch /v1/workspace
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/workspace:
    patch:
      tags:
        - settings
      summary: Patch Workspace
      description: PATCH /settings/workspace — update workspace settings (admin only).
      operationId: patch_workspace_v1_workspace_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateWorkspaceRequest:
      properties:
        ai_auto_link:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ai Auto Link
        ai_confidence_threshold:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          title: Ai Confidence Threshold
        ai_proof_window_days:
          anyOf:
            - maximum: 365
              minimum: 7
              type: integer
            - type: 'null'
          title: Ai Proof Window Days
        default_theme:
          anyOf:
            - enum:
                - dark
                - light
              type: string
            - type: 'null'
          title: Default Theme
        description:
          anyOf:
            - maxLength: 2000
              type: string
            - type: 'null'
          title: Description
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        name:
          anyOf:
            - maxLength: 100
              minLength: 2
              type: string
            - type: 'null'
          title: Name
        slug:
          anyOf:
            - pattern: ^[a-z0-9](?:[a-z0-9-]{0,58}[a-z0-9])?$
              type: string
            - type: 'null'
          title: Slug
        sso_enforced:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sso Enforced
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
      title: UpdateWorkspaceRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````